package org.springblade.modules.guosen.ordercommission.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.guosen.ordercommission.entity.OrderCommission;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * Created By lidexi in 2021/6/29
 * 分佣结算统计视图对象
 **/
@Data
public class OrderCommissionStaticVO {

	@ApiModelProperty("结算列表")
	private List<OrderCommission> orderCommissions = new ArrayList<>();

	@ApiModelProperty("日期列表")
	private List<String> dateList = new ArrayList<>();

	@ApiModelProperty("统计-不分结算结算状态")
	private List<BigDecimal> dataList = new ArrayList<>();

	@ApiModelProperty("待结算")
	private List<BigDecimal> unClearList = new ArrayList<>();

	@ApiModelProperty("已结算")
	private List<BigDecimal> clearedList = new ArrayList<>();


}
